services:
  - type: web
    name: job-frequency-analyzer
    env: python
    plan: free  # or free, adjust as per your subscription
    buildCommand: pip install -r requirements.txt
    startCommand: gunicorn app:app --timeout 120 --workers 1 --bind 0.0.0.0:$PORT
    healthCheckPath: /api/health
    envVars:
      - key: PORT
        value: "10000"  # Render typically provides PORT automatically, but setting here for clarity